package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class MdConstraintsDTO implements Serializable {

    private static final long serialVersionUID = 863638192001412L;

    private Integer id;

    private String deleteClause;

    private String name;

    private String constraintType;

    private Integer reftableIdFk;

    private String constraintText;

    private String language;

    private String comments;

    private Integer securityGroupId;

    private java.util.Date createdOn;

    private String createdBy;

    private java.util.Date lastUpdatedOn;

    private String lastUpdatedBy;

    private Integer tableIdFk;

        public Integer getId() {
    return id;
    }

        public void setId(Integer id) {
    this.id = id;
    }

        public String getDeleteClause() {
    return deleteClause;
    }

        public void setDeleteClause(String deleteClause) {
    this.deleteClause = deleteClause;
    }

        public String getName() {
    return name;
    }

        public void setName(String name) {
    this.name = name;
    }

        public String getConstraintType() {
    return constraintType;
    }

        public void setConstraintType(String constraintType) {
    this.constraintType = constraintType;
    }

        public Integer getReftableIdFk() {
    return reftableIdFk;
    }

        public void setReftableIdFk(Integer reftableIdFk) {
    this.reftableIdFk = reftableIdFk;
    }

        public String getConstraintText() {
    return constraintText;
    }

        public void setConstraintText(String constraintText) {
    this.constraintText = constraintText;
    }

        public String getLanguage() {
    return language;
    }

        public void setLanguage(String language) {
    this.language = language;
    }

        public String getComments() {
    return comments;
    }

        public void setComments(String comments) {
    this.comments = comments;
    }

        public Integer getSecurityGroupId() {
    return securityGroupId;
    }

        public void setSecurityGroupId(Integer securityGroupId) {
    this.securityGroupId = securityGroupId;
    }

        public java.util.Date getCreatedOn() {
    return createdOn;
    }

        public void setCreatedOn(java.util.Date createdOn) {
    this.createdOn = createdOn;
    }

        public String getCreatedBy() {
    return createdBy;
    }

        public void setCreatedBy(String createdBy) {
    this.createdBy = createdBy;
    }

        public java.util.Date getLastUpdatedOn() {
    return lastUpdatedOn;
    }

        public void setLastUpdatedOn(java.util.Date lastUpdatedOn) {
    this.lastUpdatedOn = lastUpdatedOn;
    }

        public String getLastUpdatedBy() {
    return lastUpdatedBy;
    }

        public void setLastUpdatedBy(String lastUpdatedBy) {
    this.lastUpdatedBy = lastUpdatedBy;
    }

        public Integer getTableIdFk() {
    return tableIdFk;
    }

        public void setTableIdFk(Integer tableIdFk) {
    this.tableIdFk = tableIdFk;
    }

}